create table BN_DOCUMENT_CONTENT (DBID_ bigint not null auto_increment, DBVERSION_ integer not null, BLOB_CONTENT_ longblob, primary key (DBID_));

create table BN_DOCUMENT_DSCR (DBID_ bigint not null auto_increment, LAST_VERSION_ID_ bigint, LAST_VERSION_LABEL_ bigint, DOC_NAME_ varchar(255), META_DOCUMENT_ bit, INST_UUID_ varchar(255), PROCESS_DEF_UUID_ varchar(255), primary key (DBID_), unique (DOC_NAME_, META_DOCUMENT_, INST_UUID_, PROCESS_DEF_UUID_));
create index IDX_DOC_DESC_PROC_DEF_UUID on BN_DOCUMENT_DSCR (PROCESS_DEF_UUID_);
create index IDX_DOC_DESC_INST_UUID on BN_DOCUMENT_DSCR (INST_UUID_);
create index IDX_LAST_META on BN_DOCUMENT_DSCR (LAST_VERSION_ID_, META_DOCUMENT_);

create table BN_DOCUMENT_VERSION (DBID_ bigint not null auto_increment, DOC_AUTHOR_ varchar(255), CREATION_DATE_ bigint, LAST_MODIFIED_BY_ varchar(255), LAST_MODIFICATION_DATE_ bigint, MAJOR_VERSION_ bit, VERSION_SERIES_ID_ bigint, CONTENT_MIME_TYPE_ varchar(255), CONTENT_FILENAME_ varchar(255), CONTENT_SIZE_ bigint, CONTENT_STORAGE_ID_ varchar(255), VERSION_LABEL_ bigint, primary key (DBID_));
create index IDX_VERSION_S_ID on BN_DOCUMENT_VERSION (VERSION_SERIES_ID_);

create table BN_DOCUMENT_DSCR_MAP (DBID_ bigint not null auto_increment, DOC_DESC_ID_ bigint, INST_UUID_ varchar(255), PROCESS_DEF_UUID_ varchar(255), primary key (DBID_));
create index IDX_DOC_DESC_MAP_INST_UUID on BN_DOCUMENT_DSCR_MAP (INST_UUID_);
create index IDX_DOC_DES_ID on BN_DOCUMENT_DSCR_MAP (DOC_DESC_ID_);
create index IX_DOC_DESC_MAP_PROC_DEF_UUID on BN_DOCUMENT_DSCR_MAP (PROCESS_DEF_UUID_);
