create table BN_DOCUMENT_CONTENT (DBID_ number(19,0) not null, DBVERSION_ number(10,0) not null, BLOB_CONTENT_ blob, primary key (DBID_));

create table BN_DOCUMENT_DSCR (DBID_ number(19,0) not null, LAST_VERSION_ID_ number(19,0), LAST_VERSION_LABEL_ number(19,0), DOC_NAME_ varchar2(255 char), META_DOCUMENT_ number(1,0), INST_UUID_ varchar2(255 char), PROCESS_DEF_UUID_ varchar2(255 char), primary key (DBID_), unique (DOC_NAME_, META_DOCUMENT_, INST_UUID_, PROCESS_DEF_UUID_));
create index IDX_DOC_DESC_PROC_DEF_UUID on BN_DOCUMENT_DSCR (PROCESS_DEF_UUID_);
create index IDX_DOC_DESC_INST_UUID on BN_DOCUMENT_DSCR (INST_UUID_);
create index IDX_LAST_META on BN_DOCUMENT_DSCR (LAST_VERSION_ID_, META_DOCUMENT_);

create table BN_DOCUMENT_VERSION (DBID_ number(19,0) not null, DOC_AUTHOR_ varchar2(255 char), CREATION_DATE_ number(19,0), LAST_MODIFIED_BY_ varchar2(255 char), LAST_MODIFICATION_DATE_ number(19,0), MAJOR_VERSION_ number(1,0), VERSION_SERIES_ID_ number(19,0), CONTENT_MIME_TYPE_ varchar2(255 char), CONTENT_FILENAME_ varchar2(255 char), CONTENT_SIZE_ number(19,0), CONTENT_STORAGE_ID_ varchar2(255 char), VERSION_LABEL_ number(19,0), primary key (DBID_));
create index IDX_VERSION_S_ID on BN_DOCUMENT_VERSION (VERSION_SERIES_ID_);

create table BN_DOCUMENT_DSCR_MAP (DBID_ number(19,0) not null, DOC_DESC_ID_ number(19,0), INST_UUID_ varchar2(255 char), PROCESS_DEF_UUID_ varchar2(255 char), primary key (DBID_));
create index IDX_DOC_DESC_MAP_INST_UUID on BN_DOCUMENT_DSCR_MAP (INST_UUID_);
create index IDX_DOC_DES_ID on BN_DOCUMENT_DSCR_MAP (DOC_DESC_ID_);
create index IX_DOC_DESC_MAP_PROC_DEF_UUID on BN_DOCUMENT_DSCR_MAP (PROCESS_DEF_UUID_);