create table BN_DOCUMENT_CONTENT (DBID_ int8 not null, DBVERSION_ int4 not null, BLOB_CONTENT_ oid, primary key (DBID_));

create table BN_DOCUMENT_DSCR (DBID_ int8 not null, LAST_VERSION_ID_ int8, LAST_VERSION_LABEL_ int8, DOC_NAME_ varchar(255), META_DOCUMENT_ bool, INST_UUID_ varchar(255), PROCESS_DEF_UUID_ varchar(255), primary key (DBID_), unique (DOC_NAME_, META_DOCUMENT_, INST_UUID_, PROCESS_DEF_UUID_));
create index IDX_DOC_DESC_PROC_DEF_UUID on BN_DOCUMENT_DSCR (PROCESS_DEF_UUID_);
create index IDX_DOC_DESC_INST_UUID on BN_DOCUMENT_DSCR (INST_UUID_);
create index IDX_LAST_META on BN_DOCUMENT_DSCR (LAST_VERSION_ID_, META_DOCUMENT_);

create table BN_DOCUMENT_VERSION (DBID_ int8 not null, DOC_AUTHOR_ varchar(255), CREATION_DATE_ int8, LAST_MODIFIED_BY_ varchar(255), LAST_MODIFICATION_DATE_ int8, MAJOR_VERSION_ bool, VERSION_SERIES_ID_ int8, CONTENT_MIME_TYPE_ varchar(255), CONTENT_FILENAME_ varchar(255), CONTENT_SIZE_ int8, CONTENT_STORAGE_ID_ varchar(255), VERSION_LABEL_ int8, primary key (DBID_));
create index IDX_VERSION_S_ID on BN_DOCUMENT_VERSION (VERSION_SERIES_ID_);

create table BN_DOCUMENT_DSCR_MAP (DBID_ int8 not null, DOC_DESC_ID_ int8, INST_UUID_ varchar(255), PROCESS_DEF_UUID_ varchar(255), primary key (DBID_));
create index IDX_DOC_DESC_MAP_INST_UUID on BN_DOCUMENT_DSCR_MAP (INST_UUID_);
create index IDX_DOC_DES_ID on BN_DOCUMENT_DSCR_MAP (DOC_DESC_ID_);
create index IX_DOC_DESC_MAP_PROC_DEF_UUID on BN_DOCUMENT_DSCR_MAP (PROCESS_DEF_UUID_);
