create table BN_DOCUMENT_CONTENT (DBID_ numeric(19,0) identity not null, DBVERSION_ int not null, BLOB_CONTENT_ image null, primary key (DBID_))
go

create table BN_DOCUMENT_DSCR (DBID_ numeric(19,0) identity not null, LAST_VERSION_ID_ numeric(19,0) null, LAST_VERSION_LABEL_ numeric(19,0) null, DOC_NAME_ varchar(255) null, META_DOCUMENT_ tinyint null, INST_UUID_ varchar(255) null, PROCESS_DEF_UUID_ varchar(255) null, primary key (DBID_), unique (DOC_NAME_, META_DOCUMENT_, INST_UUID_, PROCESS_DEF_UUID_))
go
create index IDX_DOC_DESC_PROC_DEF_UUID on BN_DOCUMENT_DSCR (PROCESS_DEF_UUID_)
go
create index IDX_DOC_DESC_INST_UUID on BN_DOCUMENT_DSCR (INST_UUID_)
go
create index IDX_LAST_META on BN_DOCUMENT_DSCR (LAST_VERSION_ID_, META_DOCUMENT_)
go

create table BN_DOCUMENT_VERSION (DBID_ numeric(19,0) identity not null, DOC_AUTHOR_ varchar(255) null, CREATION_DATE_ numeric(19,0) null, LAST_MODIFIED_BY_ varchar(255) null, LAST_MODIFICATION_DATE_ numeric(19,0) null, MAJOR_VERSION_ tinyint null, VERSION_SERIES_ID_ numeric(19,0) null, CONTENT_MIME_TYPE_ varchar(255) null, CONTENT_FILENAME_ varchar(255) null, CONTENT_SIZE_ numeric(19,0) null, CONTENT_STORAGE_ID_ varchar(255) null, VERSION_LABEL_ numeric(19,0) null, primary key (DBID_));
go
create index IDX_VERSION_S_ID on BN_DOCUMENT_VERSION (VERSION_SERIES_ID_)
go

create table BN_DOCUMENT_DSCR_MAP (DBID_ numeric(19,0) identity not null, DOC_DESC_ID_ numeric(19,0) null, INST_UUID_ varchar(255) null, PROCESS_DEF_UUID_ varchar(255) null, primary key (DBID_))
go
create index IDX_DOC_DESC_MAP_INST_UUID on BN_DOCUMENT_DSCR_MAP (INST_UUID_)
go
create index IDX_DOC_DES_ID on BN_DOCUMENT_DSCR_MAP (DOC_DESC_ID_)
go
create index IX_DOC_DESC_MAP_PROC_DEF_UUID on BN_DOCUMENT_DSCR_MAP (PROCESS_DEF_UUID_)
go
